Jupiter ERP
Account API

Update Products

/api/account/products/{id}

PATCHHTTP
patch/api/account/products/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/products/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/products/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "sku": "string",
  "name": "string",
  "description": "string",
  "type": "physical",
  "unit_code": "C62",
  "tax_rate": 0
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
descriptionstring
has_stockboolean
internal_notestring
namestring
price_netinteger
purchase_price_netinteger
skustring
tax_ratenumber
typestring

string

  • physical
  • virtual
  • service
unit_codestringUN/CEFACT unit of measure code (Recommendation 20/21). Null allowed for optional positions. Code meanings: - C62: unit (piece) - HUR: hour - DAY: day - KGM: kilogram - GRM: gram - LTR: litre - CMT: centimetre - MTR: metre - MTK: square metre - MTQ: cubic metre - KMT: kilometre - TNE: tonne (metric) - PAC: package - PR: pair - BOX: box - RO: roll - SET: set - PCE: page - MIN: minute - SEC: second - MLT: millilitre - MMT: millimetre - P1: percent - ZZ: lump sum (generic / no unit)

string

  • C62
  • HUR
  • DAY
  • KGM
  • GRM
  • LTR
  • CMT
  • MTR
  • MTK
  • MTQ
  • KMT
  • TNE
  • PAC
  • PR
  • BOX
  • RO
  • SET
  • PCE
  • MIN
  • SEC
  • MLT
  • MMT
  • P1
  • ZZ
Example request
{
  "sku": "string",
  "name": "string",
  "description": "string",
  "type": "physical",
  "unit_code": "C62",
  "tax_rate": 0
}

Responses

200OK
ModelProduct
FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
descriptionstring
has_stockboolean
id*integer
internal_notestring
name*string
price_netinteger
purchase_price_netinteger
skustring
tax_ratenumber
typestring

string

  • physical
  • virtual
  • service
unit_codestringUN/CEFACT unit of measure code (Recommendation 20/21). Null allowed for optional positions. Code meanings: - C62: unit (piece) - HUR: hour - DAY: day - KGM: kilogram - GRM: gram - LTR: litre - CMT: centimetre - MTR: metre - MTK: square metre - MTQ: cubic metre - KMT: kilometre - TNE: tonne (metric) - PAC: package - PR: pair - BOX: box - RO: roll - SET: set - PCE: page - MIN: minute - SEC: second - MLT: millilitre - MMT: millimetre - P1: percent - ZZ: lump sum (generic / no unit)

string

  • C62
  • HUR
  • DAY
  • KGM
  • GRM
  • LTR
  • CMT
  • MTR
  • MTK
  • MTQ
  • KMT
  • TNE
  • PAC
  • PR
  • BOX
  • RO
  • SET
  • PCE
  • MIN
  • SEC
  • MLT
  • MMT
  • P1
  • ZZ
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "sku": "string",
  "name": "string",
  "description": "string",
  "type": "physical",
  "unit_code": "C62"
}
Products

Questions about integration?

PATCH /api/account/products/{id} · Jupiter ERP